# module Tk::Tcllib::Validator

### Constants

PACKAGE_NAME

### Public Class Methods

attach(widget, color, cmd=Proc.new) click to toggle source

    # File lib/tkextlib/tcllib/validator.rb, line 36
    def self.attach(widget, color, cmd=Proc.new)
      tk_call_without_enc('::widget::validator', 'attach', widget, color, cmd)
      nil
    end

detach(widget) click to toggle source

    # File lib/tkextlib/tcllib/validator.rb, line 41
    def self.detach(widget)
      tk_call_without_enc('::widget::validator', 'detach', widget)
      nil
    end

package_name() click to toggle source

    # File lib/tkextlib/tcllib/validator.rb, line 19
    def self.package_name
      PACKAGE_NAME
    end

package_version() click to toggle source

    # File lib/tkextlib/tcllib/validator.rb, line 23
    def self.package_version
      begin
        TkPackage.require('widget::validator')
      rescue
        ''
      end
    end

validate(widget) click to toggle source

    # File lib/tkextlib/tcllib/validator.rb, line 46
    def self.validate(widget)
      tk_call_without_enc('::widget::validator', 'validate', widget)
      nil
    end

### Public Instance Methods

attach_validator(color, cmd=Proc.new) click to toggle source

    # File lib/tkextlib/tcllib/validator.rb, line 51
    def attach_validator(color, cmd=Proc.new)
      tk_call_without_enc('::widget::validator', 'attach', @path, color, cmd)
      self
    end

detach_validator(color, cmd=Proc.new) click to toggle source

    # File lib/tkextlib/tcllib/validator.rb, line 56
    def detach_validator(color, cmd=Proc.new)
      tk_call_without_enc('::widget::validator', 'detach', @path)
      self
    end

invoke_validator(color, cmd=Proc.new) click to toggle source

    # File lib/tkextlib/tcllib/validator.rb, line 61
    def invoke_validator(color, cmd=Proc.new)
      tk_call_without_enc('::widget::validator', 'validate', @path)
      self
    end

Also aliased as: validate_validator
validate_validator(color, cmd=Proc.new)
Alias for: invoke_validator